import { Controller, DefaultValuePipe, Get, Param, ParseIntPipe, Post, Query, StreamableFile } from '@nestjs/common';
import { FilesService } from "./files.service";

@Controller("files")
export class FilesController {
	constructor(private readonly filesService: FilesService) {}

  @Post('new')
  async saveFile() {

  }

  @Get('find')
  async findMany(
    @Query("limit", new DefaultValuePipe(20), ParseIntPipe) limit: number,
    @Query("offset", new DefaultValuePipe(0), ParseIntPipe) offset: number,
    @Query("search", new DefaultValuePipe("")) search: string,
  ) {

  }

	@Get(':fileId')
  async getFile(@Param('fileId') fileId: string) {
    return this.filesService.get(fileId);
  }

}
